People & profiles
Get Hris People
Lists every employee-seat person in the org with employment, contractor, invite-hold and pending-termination details.
Required scope: people:read. It also needs identity:read.
curl --request GET \
--url 'https://api.toku.com/hris/get-hris-people' \
--header 'Authorization: Bearer <token>'[
{
"id": "string",
"fullName": "string",
"email": "string",
"type": "EMPLOYEE",
"status": "string",
"hasWelcomeEmailSent": true,
"membershipConsentPending": true,
"canResendOnboardingInvite": true,
"inviteHoldReason": "MISSING_EMPLOYMENT_AGREEMENT",
"inviteHoldMessage": "string",
"title": "string",
"department": "string",
"location": "string",
"employingEntity": "string",
"stateOrCity": "string",
"countryCode": "string",
"startDate": "string",
"endDate": "string",
"workAuthorizationExpiryDate": "string",
"hasPendingTermination": true,
"hasScheduledTermination": true,
"roleInOrg": {
"roleInOrgID": "string",
"personID": "string",
"orgID": "string",
"role": "string",
"employmentType": "string",
"status": "string",
"lifecycleStatus": "string",
"isTerminated": true,
"workEmail": "string",
"jobTitle": "string",
"department": "string",
"managerRoleInOrgID": "string",
"countryCode": "string",
"country": "string"
},
"employeeInfo": {
"hrisEmployeeId": "string",
"lilithEmployeeId": 0,
"employmentServiceType": "string",
"phoneNumber": "string",
"managerName": "string",
"managerEmail": "string",
"jobDescription": "string"
},
"isPropTrader": true,
"contractorInfo": {
"hrisContractorId": "string",
"lilithContractorEntityId": "string",
"contractorType": "string",
"entityName": "string",
"entityType": "string",
"taxFormType": "string",
"invoiceFrequency": "string",
"taxFormSubmitted": true
},
"employeeRecord": {
"employeeID": 0,
"title": "string",
"startDate": "string",
"status": "string",
"employmentType": "string",
"departmentName": "string",
"countryName": "string",
"city": "string",
"state": "string",
"contractorEntityID": "string"
},
"contractorRecord": {
"contractorEntityID": "string",
"name": "string",
"countryName": "string"
},
"kotaBenefitsStatus": {
"enrollmentStatus": "string",
"offboardingStatus": "string",
"hasKotaEmployeeID": true,
"benefitsBannerDismissedAt": "string",
"countryHasQuotaBenefits": true
}
}
]Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Response
200Successful response
idstringrequiredfullNamestringrequiredemailstringrequiredtypestringrequiredAvailable options: EMPLOYEE, CONTRACTOR, OTHER
statusstringrequiredhasWelcomeEmailSentbooleanrequiredmembershipConsentPendingbooleancanResendOnboardingInvitebooleanrequiredinviteHoldReasonstring | nullrequiredAvailable options: MISSING_EMPLOYMENT_AGREEMENT, null
inviteHoldMessagestring | nullrequiredtitlestring | nullrequireddepartmentstring | nullrequiredlocationstring | nullrequiredemployingEntitystring | nullrequiredstateOrCitystring | nullrequiredcountryCodestring | nullrequiredstartDatestring | nullrequiredAllowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
endDatestring | nullrequiredAllowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
workAuthorizationExpiryDatestring | nullrequiredAllowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
hasPendingTerminationbooleanrequiredhasScheduledTerminationbooleanrequiredroleInOrgobjectrequiredShow child attributes
roleInOrgIDstringrequiredpersonIDstringrequiredorgIDstringrequiredrolestringrequiredemploymentTypestring | nullrequiredstatusstring | nullrequiredlifecycleStatusstring | nullrequiredisTerminatedbooleanrequiredworkEmailstring | nullrequiredjobTitlestring | nullrequireddepartmentstring | nullrequiredmanagerRoleInOrgIDstring | nullrequiredcountryCodestring | nullrequiredcountrystring | nullemployeeInfoobject | nullrequiredShow child attributes
hrisEmployeeIdstringrequiredlilithEmployeeIdinteger | nullrequiredemploymentServiceTypestring | nullrequiredphoneNumberstring | nullrequiredmanagerNamestring | nullrequiredmanagerEmailstring | nullrequiredjobDescriptionstring | nullrequiredisPropTraderbooleanrequiredcontractorInfoobject | nullrequiredShow child attributes
hrisContractorIdstringrequiredlilithContractorEntityIdstring | nullrequiredcontractorTypestring | nullrequiredentityNamestring | nullrequiredentityTypestringrequiredtaxFormTypestring | nullrequiredinvoiceFrequencystring | nullrequiredtaxFormSubmittedbooleanrequiredemployeeRecordobject | nullrequiredShow child attributes
employeeIDintegerrequiredtitlestring | nullrequiredstartDatestring | nullrequiredAllowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
statusstring | nullrequiredemploymentTypestring | nullrequireddepartmentNamestring | nullrequiredcountryNamestring | nullrequiredcitystring | nullrequiredstatestring | nullrequiredcontractorEntityIDstring | nullrequiredcontractorRecordobject | nullrequiredShow child attributes
contractorEntityIDstringrequirednamestringrequiredcountryNamestring | nullrequiredkotaBenefitsStatusobject | nullrequiredShow child attributes
enrollmentStatusstringrequiredoffboardingStatusstringrequiredhasKotaEmployeeIDbooleanrequiredbenefitsBannerDismissedAtstring | nullrequiredAllowed: matches ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(?:\.\d+)?Z$
countryHasQuotaBenefitsbooleanrequired